This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 507359 - boot fails because init script doesn't contain all necessary encrypted volumes
boot fails because init script doesn't contain all necessary encrypted volumes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-22 10:03 EDT by Juha Heljoranta
Modified: 2010-01-12 10:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-12 10:32:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from parted, cryptsetup, crypttab, fstab, pvs and diff to fixed init (3.12 KB, text/plain)
2009-06-22 10:03 EDT, Juha Heljoranta
no flags Details

  None (edit)
Description Juha Heljoranta 2009-06-22 10:03:06 EDT
Created attachment 348905 [details]
output from parted, cryptsetup, crypttab, fstab, pvs and diff to fixed init

Description of problem:
initrd init script doesn't contain encrypted logical volumes in extended partition which prevents lvm from initializing it self and therefore causing boot to halt silently.

Version-Release number of selected component (if applicable):
mkinitrd-6.0.87-1.fc11.x86_64


How reproducible:
install f11 with encrypted logical volume(s) in extended partition

Steps to Reproduce:
1. install f11 with encrypted logical volume(s) in extended partition
2. reboot and enter luks password
3. system hangs forever. no error messages.

Actual results:
boot hangs after install

Expected results:
boot successfully after install


Additional info:
problem can be fixed by adding

setDeviceEnv LUKSUUID UUID=foo
echo Setting up disk encryption: $LUKSUUID
buildEnv LUKSUUID cryptsetup luksOpen $LUKSUUID luks-foo
plymouth ask-for-password --command $LUKSUUID

for each logical luks volume in extended partition to init script. 

see attachment for output from
- parted
- cryptsetup
- /etc/crypttab
- /etc/fstab
- pvs
- diff from manually patched init script
Comment 1 Juha Heljoranta 2009-06-22 10:04:47 EDT
possibly related: bug #501198.
Comment 2 Hans de Goede 2010-01-12 10:32:53 EST
This is a mass edit of all mkinitrd bugs.

Thanks for taking the time to file this bug report (and/or commenting on it).

As you may have heard in Fedora 12 mkinitrd has been replaced by dracut. In Fedora 12 the mkinitrd package is still around as some programs depend on
certain libraries it provides, but mkinitrd itself is no longer used.

In Fedora 13 mkinitrd will be removed completely. This means that all work
on initrd has stopped.

Rather then keeping mkinitrd bugs open and giving false hope they might get fixed we are mass closing them, so as to clearly communicate that no more work will be done on mkinitrd. We apologize for any inconvenience this may cause. 

If you are using Fedora 11 and are experiencing a mkinitrd bug you cannot work around, please upgrade to Fedora 12. If you experience problems with the initrd in Fedora 12, please file a bug against dracut.

Note You need to log in before you can comment on or make changes to this bug.